Disables the onging monitoring feature for a specific verification session
- Only available for customers using the Veriff PEP and Sanctions services
When to use this endpoint
- Use this endpoint to disable ongoing monitoring for an end-user's verification session.
- To check if ongoing monitoring is currently enabled for a specific end-user,
use the GET /v1/sessions//watchlist-screening
endpoint and examine the
monitorStatusparameter in the response payload.
Request body content
- The request body must contain the
monitorStatusfield set todisabledto turn off ongoing monitoring for the session.
Implementation notes
- This endpoint requires session-level HMAC signature authentication
- If monitoring is already disabled, the endpoint returns a
400error. - Always ensure that you use the correct API URL to send requests. See the API URL section for more info.
- The order of parameters in the real API response can differ from the order you see in this documentation. This is expected and part of the Backwards compatible changes requirements.
Your integration's API key (occasionally referred to as the "Token", "API public key" or "Publishable key"). Required for all API requests.
You can find your API key in the Veriff Customer Portal > Settings > API keys.
Request body signed with the shared secret key. Required to authenticate the request sender.
Request content type.
Verification session ID.
Watchlist screening monitoring status update
{
"monitorStatus": "disabled"
}New monitoring status. Must be set to disabled to turn off ongoing monitoring.
Monitoring disabled successfully
{
"status": "success",
"data": {
"attemptId": "aea9ba6d-1b47-47fc-a4fc-f72b6d3584a7",
"sessionId": "f04bdb47-d3be-4b28-b028-a652feb060b5",
"vendorData": "1234567890",
"monitorStatus": "disabled"
}
}API request status
UUID v4 which identifies the session attempt.
UUID v4 which identifies the verification session.
The unique identifier that you created for your end-user.
It can be max 1,000 characters long and contain only non-semantic
data that can not be resolved or used outside your systems or environments.
Veriff returns it unmodified in webhooks and API response payloads, or as null if not provided.
New status of the ongoing monitoring feature.
Watchlist screening monitoring is already disabled for this session
{
"status": "fail",
"message": "Watchlist screening is already disabled"
}API request status
Details about the error while disabling watchlist screening
Unauthorized - invalid or missing authentication credentials
{
"status": "fail",
"code": "1101",
"message": "Mandatory X-AUTH-CLIENT header containing the API key is missing from the request."
}Watchlist screening feature is not enabled for your integration
Verification session not found
{
"status": "fail",
"code": "1101",
"message": "Resource not found"
}Internal server error
{
"status": "fail",
"message": "Something went wrong"
}API request status
Details about the error while disabling watchlist screening
Changelog
Date | Description |
|---|---|
Mar 9, 2026 | Documentation updated: parent categories rearranged, intro section expanded, request and response examples added |
Feb 16, 2026 |
|
Jan 6, 2026 | Documentation published |